Skip to content

List IVRs

IVRs
POSThttps://api.dcdial.com/api/type=list_ivrs
Read onlyToken

Lists your IVR menus, newest first.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always list_ivrs for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

Terminal window
curl https://api.dcdial.com/api/ \
-d type=list_ivrs \
-d token="$DCDIAL_TOKEN"
Response · 200 OK
{
"response": {
"success": 1,
"error": "",
"list_ivrs": [
{
"ivr_id": "grpAGENTDIRECT10311",
"ivr_name": "General Queue ",
"group_name": "General Queue ",
"next_agent_call": "longest_wait_time"
},
{
"ivr_id": "quetpcKpwLyUr8eC10311",
"ivr_name": "Payment IVR Queue",
"group_name": "Payment IVR Queue",
"next_agent_call": "longest_wait_time"
}
]
}
}

Try it

Environment